Loading...
Searching...
No Matches
expected_engine.h File Reference
`#include <string>`
`#include <iostream>`
`#include <utility>`
Include dependency graph for expected_engine.h:
This graph shows which files directly or indirectly include this file:

## Classes

struct | gridfire::expectations::EngineError
struct | gridfire::expectations::EngineIndexError
struct | gridfire::expectations::StaleEngineError

## Namespaces

namespace | gridfire
namespace | gridfire::expectations

## Enumerations

enum class | gridfire::expectations::EngineErrorTypes { gridfire::expectations::FAILURE , gridfire::expectations::INDEX , gridfire::expectations::STALE }
enum class | gridfire::expectations::StaleEngineErrorTypes { gridfire::expectations::SYSTEM_RESIZED }